Skip to main content
GET
/
public
/
v1
/
catalog-search-service
/
catalogs
/
products
Get Products
curl --request GET \
  --url https://api.topsort.com/public/v1/catalog-search-service/catalogs/products \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.topsort.com/public/v1/catalog-search-service/catalogs/products"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topsort.com/public/v1/catalog-search-service/catalogs/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasMore": true,
  "response": [
    {
      "id": "<string>",
      "name": "<string>",
      "vendors": [
        "<string>"
      ],
      "categories": [
        "<string>"
      ],
      "description": "Named as \"Best Beer in the World\" in 2008 at the World Beer Championships in Chicago, Illinois.",
      "brand": {
        "id": "<string>",
        "name": "<string>"
      },
      "imageURL": "https://cdn.example.com/products/eyGqR4YQgBJa.jpg",
      "price": 18.99,
      "active": true,
      "ean": "4003994155486",
      "quality_score": 0.5,
      "metadata": {},
      "globalId": "PROD-12345",
      "link": "http://www.example.com/asp/sp.asp?cat=12&id=1030"
    }
  ],
  "nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Query Parameters

next_page
string | null

Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.

ean
string | null

European Article Number to filter products by. Formatted as a thirteen digit EAN-13 code.

vendor_id
string | null

Vendor ID to filter products by.

search
string | null
default:""

Search terms to look for in product names and descriptions.

Response

Successful Response

hasMore
boolean
required

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

response
Product · object[]
required

Array of products.

nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Example:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="